package org.jeecg.modules.okki.showlist.param;

import lombok.Data;

import java.util.List;

@Data
public class PushShowlistParam {

    /** 主键id，小满根据此字段判断是插入还是更新*/
    private String showlist_id;

    private String url;

    private String json_ld;

    private OverviewParam overview;

    private ProductParam product_list;

    private HighlightParam highlight;

    private List<AdvantageParam> advantage;

    private ProductParam recommended_products;

    private KeywordsParam keywords;

    private KeywordSeriesParam keyword_series;

    private ReviewParam review;

    private FaqParam faq;

    private BlogParam blog;

    private TdkParam tdk;

    private Integer inquiry_type;

    private Integer report_score;

    private String report_link;


}
