package org.jeecg.modules.okki.showlist.service;

import org.jeecg.modules.okki.showlist.entity.OkkiAdvantage;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: 优势
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface IOkkiAdvantageService extends IService<OkkiAdvantage> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OkkiAdvantage>
	 */
	public List<OkkiAdvantage> selectByMainId(String mainId);
}
