package org.jeecg.modules.okki.showlist.service;

import org.jeecg.modules.okki.showlist.entity.OkkiRecommendedProducts;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: 推荐商品列表
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface IOkkiRecommendedProductsService extends IService<OkkiRecommendedProducts> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OkkiRecommendedProducts>
	 */
	public List<OkkiRecommendedProducts> selectByMainId(String mainId);
}
