package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiAdvantage;
import org.jeecg.modules.okki.showlist.mapper.OkkiAdvantageMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiAdvantageService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 优势
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiAdvantageServiceImpl extends ServiceImpl<OkkiAdvantageMapper, OkkiAdvantage> implements IOkkiAdvantageService {
	
	@Autowired
	private OkkiAdvantageMapper okkiAdvantageMapper;
	
	@Override
	public List<OkkiAdvantage> selectByMainId(String mainId) {
		return okkiAdvantageMapper.selectByMainId(mainId);
	}
}
