package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiKeywordsSeries;
import org.jeecg.modules.okki.showlist.mapper.OkkiKeywordsSeriesMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiKeywordsSeriesService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 关键词系列
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiKeywordsSeriesServiceImpl extends ServiceImpl<OkkiKeywordsSeriesMapper, OkkiKeywordsSeries> implements IOkkiKeywordsSeriesService {
	
	@Autowired
	private OkkiKeywordsSeriesMapper okkiKeywordsSeriesMapper;
	
	@Override
	public List<OkkiKeywordsSeries> selectByMainId(String mainId) {
		return okkiKeywordsSeriesMapper.selectByMainId(mainId);
	}
}
