package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiProductList;
import org.jeecg.modules.okki.showlist.mapper.OkkiProductListMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiProductListService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 产品
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiProductListServiceImpl extends ServiceImpl<OkkiProductListMapper, OkkiProductList> implements IOkkiProductListService {
	
	@Autowired
	private OkkiProductListMapper okkiProductListMapper;
	
	@Override
	public List<OkkiProductList> selectByMainId(String mainId) {
		return okkiProductListMapper.selectByMainId(mainId);
	}
}
