package org.jeecg.modules.okki.youtube.service;

import org.jeecg.modules.okki.youtube.entity.OkkiYoutubeMarketingDataDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: Youtube营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface IOkkiYoutubeMarketingDataDetailService extends IService<OkkiYoutubeMarketingDataDetail> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OkkiYoutubeMarketingDataDetail>
	 */
	public List<OkkiYoutubeMarketingDataDetail> selectByMainId(String mainId);
}
