package org.jeecg.modules.okki.youtube.service;

import org.jeecg.modules.okki.youtube.entity.OkkiYoutubeMarketingDataDetail;
import org.jeecg.modules.okki.youtube.entity.OkkiYoutubeMarketingData;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: Youtube营销效果数据
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface IOkkiYoutubeMarketingDataService extends IService<OkkiYoutubeMarketingData> {

	/**
	 * 添加一对多
	 *
	 * @param okkiYoutubeMarketingData
	 * @param okkiYoutubeMarketingDataDetailList
	 */
	public void saveMain(OkkiYoutubeMarketingData okkiYoutubeMarketingData,List<OkkiYoutubeMarketingDataDetail> okkiYoutubeMarketingDataDetailList) ;
	
	/**
	 * 修改一对多
	 *
	 * @param okkiYoutubeMarketingData
	 * @param okkiYoutubeMarketingDataDetailList
	 */
	public void updateMain(OkkiYoutubeMarketingData okkiYoutubeMarketingData,List<OkkiYoutubeMarketingDataDetail> okkiYoutubeMarketingDataDetailList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	boolean changeStatus(OkkiYoutubeMarketingData okkiYoutubeMarketingData);
}
