package org.jeecg.modules.okki.account.controller;

import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpHeaders;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.okki.account.service.IOkkiAccountService;
import org.jeecg.modules.okki.account.entity.OkkiAccount;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
@Slf4j
@RequestMapping("/website")
public class OkkiAccountApiController {

    @Resource
    private IOkkiAccountService okkiAccountService;

    @PostMapping(value = "/account/store")
    public Result<String> add(@RequestBody OkkiAccount okkiAccount, @RequestHeader(HttpHeaders.AUTHORIZATION) String authorization) {
        log.info("请求参数 param" + okkiAccount.toString() + "authorization" + authorization);
        String Authorization = "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VybmFtZSI6ImRlYW4iLCJleHAiOjE3MTQ0NjU5Njl9.QdCBYR8mioXcKGi1n5RdMQ5RbJHCSGbE8dkdwYuOXh4";
        if (!authorization.equals(Authorization)) {
            return Result.error("sign 验证不通过");
        }
        boolean result = okkiAccountService.insertAccount(okkiAccount);
        log.info("请求成功，返回结果" + result);
        if (result) {
            return Result.OK("添加成功！");
        }else {
            return Result.error("添加失败！");
        }
    }
}
