package org.jeecg.modules.okki.linkedin.service;

import org.jeecg.modules.okki.linkedin.entity.OkkiLinkedinMarketingDataDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: Linkedin营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface IOkkiLinkedinMarketingDataDetailService extends IService<OkkiLinkedinMarketingDataDetail> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OkkiLinkedinMarketingDataDetail>
	 */
	public List<OkkiLinkedinMarketingDataDetail> selectByMainId(String mainId);
}
