package org.jeecg.modules.okki.linkedin.service;

import org.jeecg.modules.okki.linkedin.entity.OkkiLinkedinMarketingDataDetail;
import org.jeecg.modules.okki.linkedin.entity.OkkiLinkedinMarketingData;
import com.baomidou.mybatisplus.extension.service.IService;
import java.io.Serializable;
import java.util.Collection;
import java.util.List;

/**
 * @Description: Linkedin营销效果数据
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
public interface IOkkiLinkedinMarketingDataService extends IService<OkkiLinkedinMarketingData> {

	/**
	 * 添加一对多
	 *
	 * @param okkiLinkedinMarketingData
	 * @param okkiLinkedinMarketingDataDetailList
	 */
	public void saveMain(OkkiLinkedinMarketingData okkiLinkedinMarketingData,List<OkkiLinkedinMarketingDataDetail> okkiLinkedinMarketingDataDetailList) ;
	
	/**
	 * 修改一对多
	 *
	 * @param okkiLinkedinMarketingData
	 * @param okkiLinkedinMarketingDataDetailList
	 */
	public void updateMain(OkkiLinkedinMarketingData okkiLinkedinMarketingData,List<OkkiLinkedinMarketingDataDetail> okkiLinkedinMarketingDataDetailList);
	
	/**
	 * 删除一对多
	 *
	 * @param id
	 */
	public void delMain (String id);
	
	/**
	 * 批量删除一对多
	 *
	 * @param idList
	 */
	public void delBatchMain (Collection<? extends Serializable> idList);

	boolean changeStatus(OkkiLinkedinMarketingData okkiLinkedinMarketingData);
}
