package org.jeecg.modules.okki.linkedin.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.okki.linkedin.entity.OkkiLinkedinMarketingDataDetail;
import org.jeecg.modules.okki.linkedin.mapper.OkkiLinkedinMarketingDataDetailMapper;
import org.jeecg.modules.okki.linkedin.service.IOkkiLinkedinMarketingDataDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: Linkedin营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
@Service
public class OkkiLinkedinMarketingDataDetailServiceImpl extends ServiceImpl<OkkiLinkedinMarketingDataDetailMapper, OkkiLinkedinMarketingDataDetail> implements IOkkiLinkedinMarketingDataDetailService {
	
	@Autowired
	private OkkiLinkedinMarketingDataDetailMapper okkiLinkedinMarketingDataDetailMapper;
	
	@Override
	public List<OkkiLinkedinMarketingDataDetail> selectByMainId(String mainId) {
		return okkiLinkedinMarketingDataDetailMapper.selectByMainId(mainId);
	}
}
