package org.jeecg.modules.okki.showlist.service;

import org.jeecg.modules.okki.showlist.entity.OkkiProductList;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Description: 产品
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
public interface IOkkiProductListService extends IService<OkkiProductList> {

	/**
	 * 通过主表id查询子表数据
	 *
	 * @param mainId 主表id
	 * @return List<OkkiProductList>
	 */
	public List<OkkiProductList> selectByMainId(String mainId);
}
