package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiFaq;
import org.jeecg.modules.okki.showlist.mapper.OkkiFaqMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiFaqService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 常见问题
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiFaqServiceImpl extends ServiceImpl<OkkiFaqMapper, OkkiFaq> implements IOkkiFaqService {
	
	@Autowired
	private OkkiFaqMapper okkiFaqMapper;
	
	@Override
	public List<OkkiFaq> selectByMainId(String mainId) {
		return okkiFaqMapper.selectByMainId(mainId);
	}
}
