package org.jeecg.modules.okki.showlist.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.okki.showlist.entity.OkkiHighlight;
import org.jeecg.modules.okki.showlist.mapper.OkkiHighlightMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiHighlightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 亮点
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiHighlightServiceImpl extends ServiceImpl<OkkiHighlightMapper, OkkiHighlight> implements IOkkiHighlightService {
	
	@Autowired
	private OkkiHighlightMapper okkiHighlightMapper;
	
	@Override
	public List<OkkiHighlight> selectByMainId(String mainId) {
		return okkiHighlightMapper.selectByMainId(mainId);
	}
}
