package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiKeywords;
import org.jeecg.modules.okki.showlist.mapper.OkkiKeywordsMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiKeywordsService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 关键词
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiKeywordsServiceImpl extends ServiceImpl<OkkiKeywordsMapper, OkkiKeywords> implements IOkkiKeywordsService {
	
	@Autowired
	private OkkiKeywordsMapper okkiKeywordsMapper;
	
	@Override
	public List<OkkiKeywords> selectByMainId(String mainId) {
		return okkiKeywordsMapper.selectByMainId(mainId);
	}
}
