package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiOverview;
import org.jeecg.modules.okki.showlist.mapper.OkkiOverviewMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiOverviewService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 概览
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiOverviewServiceImpl extends ServiceImpl<OkkiOverviewMapper, OkkiOverview> implements IOkkiOverviewService {
	
	@Autowired
	private OkkiOverviewMapper okkiOverviewMapper;
	
	@Override
	public List<OkkiOverview> selectByMainId(String mainId) {
		return okkiOverviewMapper.selectByMainId(mainId);
	}
}
