package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiRecommendedProducts;
import org.jeecg.modules.okki.showlist.mapper.OkkiRecommendedProductsMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiRecommendedProductsService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 推荐商品列表
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiRecommendedProductsServiceImpl extends ServiceImpl<OkkiRecommendedProductsMapper, OkkiRecommendedProducts> implements IOkkiRecommendedProductsService {
	
	@Autowired
	private OkkiRecommendedProductsMapper okkiRecommendedProductsMapper;
	
	@Override
	public List<OkkiRecommendedProducts> selectByMainId(String mainId) {
		return okkiRecommendedProductsMapper.selectByMainId(mainId);
	}
}
