package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiReview;
import org.jeecg.modules.okki.showlist.mapper.OkkiReviewMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiReviewService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 评价
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiReviewServiceImpl extends ServiceImpl<OkkiReviewMapper, OkkiReview> implements IOkkiReviewService {
	
	@Autowired
	private OkkiReviewMapper okkiReviewMapper;
	
	@Override
	public List<OkkiReview> selectByMainId(String mainId) {
		return okkiReviewMapper.selectByMainId(mainId);
	}
}
