package org.jeecg.modules.okki.showlist.service.impl;

import org.jeecg.modules.okki.showlist.entity.OkkiShowlistBlog;
import org.jeecg.modules.okki.showlist.mapper.OkkiShowlistBlogMapper;
import org.jeecg.modules.okki.showlist.service.IOkkiShowlistBlogService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: 博客
 * @Author: jeecg-boot
 * @Date:   2024-05-14
 * @Version: V1.0
 */
@Service
public class OkkiShowlistBlogServiceImpl extends ServiceImpl<OkkiShowlistBlogMapper, OkkiShowlistBlog> implements IOkkiShowlistBlogService {
	
	@Autowired
	private OkkiShowlistBlogMapper okkiShowlistBlogMapper;
	
	@Override
	public List<OkkiShowlistBlog> selectByMainId(String mainId) {
		return okkiShowlistBlogMapper.selectByMainId(mainId);
	}
}
