package org.jeecg.modules.okki.youtube.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ReportListParam {

    /**视频id*/
    private String vid;
    /**视频标题*/
    private String title;
    /**视频创建时间*/
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date addtime;
    /**视频当月观看次数*/
    private Integer views;
    /**视频当月总观看时长 (单位：小时)*/
    private Double duration;
    /**当月订阅量*/
    private Integer subscribe;
    /**当月曝光数量*/
    private Integer showtimes;
    /**月份*/
    private String month;
}
