package org.jeecg.modules.okki.youtube.service.impl;

import org.jeecg.modules.okki.youtube.entity.OkkiYoutubeMarketingDataDetail;
import org.jeecg.modules.okki.youtube.mapper.OkkiYoutubeMarketingDataDetailMapper;
import org.jeecg.modules.okki.youtube.service.IOkkiYoutubeMarketingDataDetailService;
import org.springframework.stereotype.Service;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: Youtube营销效果数据详情
 * @Author: jeecg-boot
 * @Date:   2024-05-16
 * @Version: V1.0
 */
@Service
public class OkkiYoutubeMarketingDataDetailServiceImpl extends ServiceImpl<OkkiYoutubeMarketingDataDetailMapper, OkkiYoutubeMarketingDataDetail> implements IOkkiYoutubeMarketingDataDetailService {
	
	@Autowired
	private OkkiYoutubeMarketingDataDetailMapper okkiYoutubeMarketingDataDetailMapper;
	
	@Override
	public List<OkkiYoutubeMarketingDataDetail> selectByMainId(String mainId) {
		return okkiYoutubeMarketingDataDetailMapper.selectByMainId(mainId);
	}
}
